#include <bits/stdc++.h>
using namespace std;
static string code[] = {".;","abc","def","ghi","jkl","mno","pqrs","tu","vwx","yz"};
vector <string> Get_Keypad_Combination(string str){
    if (str.length() == 0)
    {
        /* code */
        vector <string> base_result;
        base_result.push_back("");
        return base_result;
    }
    char ch = str.at(0);
    string return_of_string = str.substr(1);
    vector <string> recursive_result = Get_Keypad_Combination(return_of_string);
    vector <string> my_result;
    string code_for_ch = code[ch - '0'];
    for (int i = 0; i < code_for_ch.length(); i++)
    {
        /* code */
        char ch_code = code_for_ch.at(i);
        for(string return_string : recursive_result)
        {
            my_result.push_back(ch_code + return_string);
        }
    }
    return my_result;
}
int main(){
    string s;
    cin>>s;
    vector <string> answer = Get_Keypad_Combination(s);
    int count = 0;
    cout<<"[";
    for (string str : answer)
    {
        /* code */
        if(count != answer.size() - 1)
        cout<<str<<", ";
        else 
        cout<<str;
        count++;
    }
    cout<<"]";
    return 0;
}